ListBlueprints - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListBlueprints

Gets a list a blueprints in your account, or public blueprints provided by the service, or versions of a blueprint. By default, the service returns a list of blueprints without blueprint versions that are in your account and in the LIVE stage.

Request Syntax

POST /blueprints/ HTTP/1.1 Content-type: application/json { "blueprintArn": "string", "blueprintStageFilter": "string", "maxResults": number, "nextToken": "string", "projectFilter": { "projectArn": "string", "projectStage": "string" }, "resourceOwner": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

blueprintArn

The blueprint's ARN.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 128.

Pattern: arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})

Required: No

blueprintStageFilter

The blueprints' stage. To view blueprints in development, specify DEVELOPMENT.

Type: String

Valid Values: DEVELOPMENT | LIVE | ALL

Required: No

maxResults

The maximum number of blueprints to return in one page of results.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

Specify the pagination token from a previous request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Required: No

projectFilter

To view blueprints associated with a project, specify the project.

Type: DataAutomationProjectFilter object

Required: No

resourceOwner

The blueprints' owner. To view public blueprints, specify SERVICE.

Type: String

Valid Values: SERVICE | ACCOUNT

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "blueprints": [ { "blueprintArn": "string", "blueprintName": "string", "blueprintStage": "string", "blueprintVersion": "string", "creationTime": "string", "lastModifiedTime": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

blueprints

A list of blueprint summaries.

Type: Array of BlueprintSummary objects

nextToken

A pagination token returned if more results are available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

HTTP Status Code: 403

InternalServerException

HTTP Status Code: 500

ResourceNotFoundException

HTTP Status Code: 404

ThrottlingException

HTTP Status Code: 429

ValidationException

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: